Subject: Re: bug#60056: [PATCH RFC 1/6] build: Add gnu-build-system v2.

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 15 Dec 2022 23:56:08 -0500

Hi Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Hi!
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> * guix/build/gnu-build-system2.scm: New file.
>> * Makefile.am (MODULES): Register it.
>> * guix/build-system/gnu2.scm: Use it.
>
> I won’t be able to review it in the coming days; a quick note:
>
>   • Changes to ‘gnu-build-system’ need thorough review, so don’t
>     hesitate to ping me and others in the “core” team if nothing comes
>     up, but don’t interpret silence as consent.

OK.  I've used the etc/teams.scm script output to CC the core team
members.  Hopefully it helped to ping them (did it for you?).

>   • I’m reluctant to duplicating ‘gnu-build-system’, even if it’s
>     temporary.  I think now’s the right time for changes in
>     ‘core-updates’ so we could make those changes there instead.

Yes, this is somewhat of a draft to allow people to test on master,
which lowers the cost (of building stuff).  If and when we decide to go
forward with it, I'll make the change to gnu-build-system directly on
core-updates.

-- 
Thanks,
Maxim